<div class="container">
  <div class="row text-center  justify-content-center">
    <div class="col-md-4 animated fadeInDown">
      <form [formGroup]="userForm">
        <div class="card form-signin">
            <h5 class="card-header">Please sign in</h5>
            <div class="card-body">
              <label class="sr-only">Email address</label>
            <input type="email" class="form-control" placeholder="Email address" formControlName="email">
            <label class="sr-only">Password</label>
            <input type="password" class="form-control" placeholder="Password" formControlName="password">
            <p *ngIf="userForm.invalid && userForm.touched" class="text-danger"><small><b>Please provide correct email and password to Sign In</b></small></p>
            <button class="btn btn-primary btn-block" type="submit" (click)="login(userForm)" [disabled]="userForm.invalid || loading.login">
              Sign in
              <i class="fa fa-spinner fa-spin fa-fw" aria-hidden="true" *ngIf="loading.login"></i>
            </button>
            <p class="mt-5 mb-3 text-muted"><small>© 2018</small></p>
            </div>
          </div>
      </form>
    </div>
  </div>
</div>